import { NgModule } from '@angular/core';
import { PreloadAllModules, RouterModule, Routes } from '@angular/router';

const routes: Routes = [
  {
    path: '',
    loadChildren: () => import('./tabs/tabs.module').then(m => m.TabsPageModule)
  },
  {
    path: 'tab4',
    loadChildren: () => import('./tab4/tab4.module').then( m => m.Tab4PageModule)
  },
  { path: 'comment-reply', loadChildren: () => import('./comment-reply/comment-reply.module').then(m => m.CommentReplyPageModule) },
  { path: 'like-favorite', loadChildren: () => import('./like-favorite/like-favorite.module').then(m => m.LikeFavoritePageModule) },
  { path: 'follow', loadChildren: () => import('./follow/follow.module').then(m => m.FollowPageModule) },
  { path: 'system-message', loadChildren: () => import('./system-message/system-message.module').then(m => m.SystemMessagePageModule) },
];
@NgModule({
  imports: [
    RouterModule.forRoot(routes, { preloadingStrategy: PreloadAllModules })
  ],
  exports: [RouterModule]
})
export class AppRoutingModule {}
